---
nav:
  title: Docs
  order: 1
  path: /getting-started
title: Introduce
order: 1
---

# Rc-Grid Component

Rc-Grid is a component library based on React and styled-components. It is mainly a grid in enterprise-level mid- and back-end products.

## ✨ Feature

- 📦 High-quality React components out of the box, and support virtual scrolling by default.
- 🛡 Use TypeScript to develop, provide a complete type definition file
- ⚙️ Powerful functions, can meet a variety of different needs

## Browsers support

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/> Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari-ios/safari-ios_48x48.png" alt="iOS Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>iOS Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/samsung-internet/samsung-internet_48x48.png" alt="Samsung" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Samsung | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Opera | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/electron/electron_48x48.png" alt="Electron" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Electron |
| --------- | --------- | --------- | --------- | --------- | --------- | --------- | --------- |
| last 2 versions | last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions| last 2 versions

> Browsers that do not currently support IE, if you need IE, you need to find the corresponding polyfill, this is not a simple process.

## Compare to others

|Description | rc-grid | ag-grid | react-data-grid | ant design          | handsontable | 
|--------|-------- |-------  |---------        |------              |-----------   |
|Fixed left column   | ✅     | ✅       | ✅              |✅                  | ✅
|Fixed right column     | ✅     | ✅       | ❌              |✅                  | ✅ 
|Columns can be dragged to change size| ✅ | ✅      | ✅              |⚠️ need rewrite header     | ✅ 
|Column header merge   | ✅     | ✅      | ❌              | ✅                 | ✅
|Virtual scroll   | ✅     | ✅      | ✅              |⚠️ need rewrite render     | ✅
|Cell editing | ✅     | ✅       | ✅              | ⚠️ need rewrite cell     | ✅
|Expandable | ✅     | ✅       | ✅              | ✅                 | ❌
|Tree Grid   | ✅     | ✅       | ✅              | ✅                 | ❌
|Open source agreement    | MIT    | MIT      | MIT             | MIT                | Business

> Note: This data is for reference only, the component library may be updated with new functions added.

## Installation

### Use npm or yarn installation

We recommend using npm or yarn for development. Not only can it be easily debugged in the development environment, but it can also be packaged and deployed in the production environment with confidence, and enjoy the many benefits of the entire ecosystem and tool chain.

```sh
npm install @lifhcp/rc-grid --save
```

```sh
yarn add @lifhcp/rc-grid
```

### Browser import

If you want to import rc-grid in the browser, you need to compile the corresponding file with `webpack`, and then use global variables.

## Community help

If you encounter problems during use, you can seek help through the following channels, and we also encourage experienced users to provide help to newcomers through the following channels.

- [GitHub Discussions](https://github.com/HighPerformanceComponent/rc-grid/discussions)
